UPGRADE YOUR BROWSER

We have detected your current browser version is not the latest one. Xilinx.com uses the latest web technologies to bring you the best online experience possible. Please upgrade to a Xilinx.com supported browser:Chrome, Firefox, Internet Explorer 11, Safari. Thank you!

取消
显示结果 
搜索替代 
您的意思是: 
Highlighted
Visitor icarus0519
Visitor
843 次查看
注册日期: ‎02-28-2019

关于pynq下载git支持包的一些

转到解答

    想要下载git上的一个项目,下载支持包的时候一直出错,报错信息如下,有哪位大佬能告诉我问题出在哪嘛?1.png2.png

0 项奖励
1 个已接受解答

已接受的解答
Xilinx Employee
Xilinx Employee
785 次查看
注册日期: ‎03-27-2013

回复: 关于pynq下载git支持包的一些

转到解答

我这边尝试了下,我这边可以安装,Log如下

xilinx@pynq:~$ sudo pip3 install git+htt ps://github.com/Xilinx/QNN-MO-PYNQ.git
[sudo] password for xilinx:

Collecting git+https://github.com/Xilinx/QNN-MO-PYNQ.git
Cloning https://github.com/Xilinx/QNN-MO-PYNQ.git to /tmp/pip-5m4jt_cm-build
Installing collected packages: qnn-loopback
Running setup.py install for qnn-loopback ... done
Successfully installed qnn-loopback-0.1

另外文档中提示:

# (on PYNQ v2.3 only)
sudo pip3 install git+https://github.com/Xilinx/QNN-MO-PYNQ.git

所以我是使用PYNQ v2.3的镜像尝试的,默认下没有pip3.6的命令。建议你使用2.3镜像尝试下看看

 

Best Regards,
Jason
-----------------------------------------------------------------------------------------------
Please mark the Answer as "Accept as solution" if the information provided is helpful.

Give Kudos to a post which you think is helpful and reply oriented.
-----------------------------------------------------------------------------------------------

在原帖中查看解决方案

4 条回复4
Xilinx Employee
Xilinx Employee
786 次查看
注册日期: ‎03-27-2013

回复: 关于pynq下载git支持包的一些

转到解答

我这边尝试了下,我这边可以安装,Log如下

xilinx@pynq:~$ sudo pip3 install git+htt ps://github.com/Xilinx/QNN-MO-PYNQ.git
[sudo] password for xilinx:

Collecting git+https://github.com/Xilinx/QNN-MO-PYNQ.git
Cloning https://github.com/Xilinx/QNN-MO-PYNQ.git to /tmp/pip-5m4jt_cm-build
Installing collected packages: qnn-loopback
Running setup.py install for qnn-loopback ... done
Successfully installed qnn-loopback-0.1

另外文档中提示:

# (on PYNQ v2.3 only)
sudo pip3 install git+https://github.com/Xilinx/QNN-MO-PYNQ.git

所以我是使用PYNQ v2.3的镜像尝试的,默认下没有pip3.6的命令。建议你使用2.3镜像尝试下看看

 

Best Regards,
Jason
-----------------------------------------------------------------------------------------------
Please mark the Answer as "Accept as solution" if the information provided is helpful.

Give Kudos to a post which you think is helpful and reply oriented.
-----------------------------------------------------------------------------------------------

在原帖中查看解决方案

Xilinx Employee
Xilinx Employee
778 次查看
注册日期: ‎03-27-2013

回复: 关于pynq下载git支持包的一些

转到解答

另外看到Pynq有专门的支持页面,地址如下:

http://www.pynq.io/support.html

里面有一个google group,里面有很多问题和回复

 

Best Regards,
Jason
-----------------------------------------------------------------------------------------------
Please mark the Answer as "Accept as solution" if the information provided is helpful.

Give Kudos to a post which you think is helpful and reply oriented.
-----------------------------------------------------------------------------------------------
0 项奖励
Visitor icarus0519
Visitor
733 次查看
注册日期: ‎02-28-2019

回复: 关于pynq下载git支持包的一些

转到解答

   非常感谢您的回复,我用的镜像是最开始自带的,有可能是image版本的问题,等我重烧个镜像看一下是否还能安装成功,再次感谢您的回复!

0 项奖励
Visitor icarus0519
Visitor
676 次查看
注册日期: ‎02-28-2019

回复: 关于pynq下载git支持包的一些

转到解答

非常感谢您,在我换成2.3版本的image之后问题得到了解决,感谢您的帮助。

0 项奖励